wreport::tabledir::Dir Struct Reference

Indexed version of a table directory. More...

`#include <tabledir.h>`

## Public Member Functions

| Dir (const std::string &pathname)
| Dir (const Dir &)=delete
| Dir (Dir &&)=default
Dir & | operator= (const Dir &)=delete
void | refresh ()
| Reread the directory contents if it has changed.

## Data Fields

std::string | pathname
time_t | mtime
std::vector< Table * > | tables

## Detailed Description

Indexed version of a table directory.

The documentation for this struct was generated from the following file:

- tabledir.h